/*******************************************************************************
***  This file is part of Qt Mocks.                                          ***
***                                                                          ***
***  Copyright (C) 2018, 2019, 2020, 2021                                    ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Lesser General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Lesser General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Lesser General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#ifndef QT_MOCKS_INFORMATION_H_
#define QT_MOCKS_INFORMATION_H_

#include "qt-mocks_export.h"


namespace qt_mocks
{

/**
 * @brief Provides the version of the library.
 */
QT_MOCKS_EXPORT const char* version();
/**
 * @brief Provides the copyright of the library.
 */
QT_MOCKS_EXPORT const char* copyright();
/**
 * @brief Provides the license of the library.
 */
QT_MOCKS_EXPORT const char* licence();
/**
 * @brief Provides the URL of the library.
 */
QT_MOCKS_EXPORT const char* url();
/**
 * @brief Provides the description of the library.
 */
QT_MOCKS_EXPORT const char* description();

}

#endif
